Ankündigung

Einklappen
Keine Ankündigung bisher.

Unterstützung bei der Entwicklung eines Landroid-Plugin

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #31
    OK, hier mal ein vollständiger Test von meiner Seite mit 'RasiGrasi' (Modell WR102SI.1, Firmware 3.52) im operativen Einsatz:
    Bitte beim Betrachten der Logs dran denken, meine Cycle time ist 600 sec.

    Code:
    landroid:
    plugin_name: landroid
    class_path: plugins.landroid
    plugin_enabled: true
    parent_item: worx
    cycle: 600 # Intervall für Update vom Mäher [sec] = 120 Sekunden
    landroid_user: xxxxxxxxxxxxxxxxxxxxx
    landroid_pwd: xxxxxxxxx
    Log bei der Initialisierung:
    Code:
    2022-01-23 12:13:40 WARNING plugins.landroid authentication was succesfull logged in
    2022-01-23 12:13:41 WARNING plugins.landroid Starting to get Update from worx-Cloud
    2022-01-23 12:13:42 WARNING plugins.landroid ended to get Update from worx-Cloud
    2022-01-23 12:13:42 WARNING plugins.landroid Starting to get Status from worx-Cloud
    2022-01-23 12:13:42 WARNING plugins.landroid ended to get Status from worx-Cloud
    2022-01-23 12:13:42 WARNING plugins.landroid Starting to parse worx-Attributes
    2022-01-23 12:13:42 WARNING plugins.landroid Could not set item 'worx._auth_result' to 'True'
    2022-01-23 12:13:42 WARNING plugins.landroid finished to parse worx-Attributes
    2022-01-23 12:13:43 WARNING plugins.landroid Problem while parsing weather
    2022-01-23 12:13:52 WARNING plugins.landroid Starting to get Update from worx-Cloud
    2022-01-23 12:13:52 WARNING plugins.landroid Problem while parsing weather
    2022-01-23 12:13:52 WARNING plugins.landroid ended to get Update from worx-Cloud
    2022-01-23 12:13:52 WARNING plugins.landroid Starting to get Status from worx-Cloud
    2022-01-23 12:13:53 WARNING plugins.landroid ended to get Status from worx-Cloud
    2022-01-23 12:13:53 WARNING plugins.landroid Starting to parse worx-Attributes
    2022-01-23 12:13:53 WARNING plugins.landroid Could not set item 'worx._auth_result' to 'True'
    2022-01-23 12:13:53 WARNING plugins.landroid finished to parse worx-Attributes
    Status der worx.visu items:
    Scheint updates zu bekommen, allerdings je nach item mit unregelmässiger 'Cycle' time und ohne Changes (keine Veränderung des Wertes)
    • worx.visu.charging_time: alle 2 Minuten
    • worx.visu.docked: nur Initial
    • worx.visu.moving_time: alle 2 Minuten
    • worx.visu.moving: nur Initial
    • worx.visu.charging: nur Initial
    • worx.visu.status_text: nur Initial

    Status der worx.weather items:
    Items werden nicht befüllt. Die Zeile
    Code:
    2022-01-23 12:13:43 WARNING plugins.landroid Problem while parsing weather
    zeigt das. Aus meiner Sicht nicht kritisch. Ich bräuchte die Daten nicht wirklich da ich ohnehin schon Wetterdaten in meinem SHNG habe.

    Alle anderen Items:
    Werden anscheinend vollständig befüllt beim Initialisieren, dann aber nicht mehr Das Log zeigt für mich ein paar Auffälligkeiten. Ich hab dafür mal den Log nach den 'Starting to get Update from worx-Cloud' gefiltert um das besser darstellen zu können :

    Code:
    2022-01-23 12:13:41 WARNING plugins.landroid Starting to get Update from worx-Cloud (Hinweis: Initialisierung. Übliche Status/Update Meldungen folgen)
    ......
    2022-01-23 12:13:52 WARNING plugins.landroid Starting to get Update from worx-Cloud (10 sec. nach Initialisierung. Übliche Status/Update Meldungen folgen)
    ......
    2022-01-23 12:23:51 WARNING plugins.landroid Starting to get Update from worx-Cloud (10 min. letzten Update. KEINE weiteren Status/Update Meldungen im Log)
    2022-01-23 12:33:51 WARNING plugins.landroid Starting to get Update from worx-Cloud (10 min. nach Initialisierung. Übliche Status/Update Meldungen folgen)
    ......
    2022-01-23 12:33:52 WARNING plugins.landroid Could not set item 'worx._auth_result' to 'True'
    ....
    2022-01-23 12:33:52 WARNING plugins.landroid Could not set item 'worx._auth_result' to 'True'
    .....
    2022-01-23 12:43:51 WARNING plugins.landroid Starting to get Update from worx-Cloud (10 min. nach Initialisierung. Übliche Status/Update Meldungen folgen)
    2022-01-23 12:43:52 WARNING plugins.landroid Could not set item 'worx._auth_result' to 'True'
    Anscheinend läuft der Authentifizierungsprozess nicht fehlerfrei, daher wahrscheinlich auch 10 sec. nach der Initialisierung ein weiterer Versuch (?) und (bei t= 12:23:51) der unvollständige Update Prozess.


    Die 'works.commands items' funktionieren alle. Allerdings kommt nach dem losschicken mit 'worx.commands.MOW' mit dem nächsten Update eine Fehlermeldung:
    Code:
    2022-01-23 13:13:52 WARNING plugins.landroid Starting to get Update from worx-Cloud
    2022-01-23 13:13:52 ERROR plugins.landroid.poll_device Method plugins.landroid.poll_device exception: 'bool' object is not subscriptable
    > Traceback (most recent call last):
    > File "/usr/local/smarthome/lib/scheduler.py", line 670, in _task
    > obj()
    > File "/usr/local/smarthome/plugins/landroid/__init__.py", line 342, in poll_device
    > self.worx.update()
    > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 260, in update
    > self._fetch()
    > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 254, in _fetch
    > for attr, val in products[self._dev_id].items():
    > TypeError: 'bool' object is not subscriptable

    Zusammenfassung: Die Initiale Empfang der Daten funktioniert, dann scheinen keine neuen Daten mehr anzukommen.

    Hendrik, ist Deine Pluginversion auf dem gleichen Stand?

    Gruß
    Marcus

    Kommentar


      #32
      Hallo,

      anbei mein aktueller Stand.
      Ich mache das aber auch noch ordentlich per Github. An den SmartVisu Seiten habe ich ja auch noch gebastelt.

      Gruß,
      Hendrik

      Angehängte Dateien

      Kommentar


        #33
        Danke Hendrik,

        habe deinen Stand jetzt installiert. Vor der Initialisierung kamen ein paar Fehler, die aber anscheinend die Installation von pyworxcloud 1.4.11 nicht verhindert haben:

        Code:
        2022-01-24 10:18:55 ERROR lib.shpypi test_requirements: 'pyworxcloud' not installed. Minimum v1.4.1 needed
        2022-01-24 10:18:55 WARNING lib.shpypi Installing plugin requirements for the current user, please wait...
        2022-01-24 10:18:55 WARNING lib.shpypi > using PIP command: '/usr/bin/pip3'
        2022-01-24 10:19:00 ERROR lib.shpypi WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
        
        2022-01-24 10:19:00 CRITICAL lib.smarthome Python package requirements for configured plugins are not met and unable to install those requirements
        2022-01-24 10:19:00 CRITICAL lib.smarthome Do you have multiple Python3 Versions installed? Maybe PIP3 looks into a wrong Python environment. Try to configure pip_command in etc/smarthome.yaml
        2022-01-24 10:19:00 CRITICAL lib.smarthome Aborting
        Beim zweiten Start keine weiteren Fehlermeldungen bei der Installation, bis auf das bekannte:
        Code:
        2022-01-24 10:22:35 WARNING plugins.landroid Problem while parsing weather
        2022-01-24 10:22:47 WARNING plugins.landroid Problem while parsing weather
        Werde das die nächsten Tagen beobachten und Feedback geben.


        Frage:
        - Du sagst Du hast an den 'SmartVisu Seiten' gebastelt. Heißt das, Du hast ein Widget dafür....? Oder wie muss ich das in dem Plugin aktivieren?

        Gruß
        Marcus

        Kommentar


          #34
          Nur kurz: nimm mal 1.3.0

          Kommentar


            #35
            Servus Hendrik,

            bei Verwendung von
            Code:
            pyworxcloud == 1.3.0
            schmeisst er eine Exception:

            Beim ersten Init:
            Code:
            2022-01-24 12:50:37 ERROR lib.shpypi test_requirements: 'pyworxcloud' not installed. Minimum v1.3.0 needed
            2022-01-24 12:50:37 WARNING lib.shpypi Installing plugin requirements for the current user, please wait...
            2022-01-24 12:50:37 WARNING lib.shpypi > using PIP command: '/usr/bin/pip3'
            2022-01-24 12:50:42 ERROR lib.shpypi WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            WARNING: Ignoring invalid distribution -yopenssl (/home/smarthome/.local/lib/python3.9/site-packages)
            
            2022-01-24 12:50:42 CRITICAL lib.smarthome Python package requirements for configured plugins are not met and unable to install those requirements
            2022-01-24 12:50:42 CRITICAL lib.smarthome Do you have multiple Python3 Versions installed? Maybe PIP3 looks into a wrong Python environment. Try to configure pip_command in etc/smarthome.yaml
            2022-01-24 12:50:42 CRITICAL lib.smarthome Aborting

            Und dann beim zweiten Init:
            Code:
            2022-01-24 12:51:10 WARNING plugins.landroid authentication was succesfull logged in
            2022-01-24 12:51:10 ERROR lib.plugin Plugin 'landroid' exception in run() method: Timeout connecting
            > Traceback (most recent call last):
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/worxlandroidapi.py", line 107, in _call
            > req = requests.get(self._api_host + path, headers=self._get_headers(), timeout=10)
            > AttributeError: 'WorxLandroidAPI' object has no attribute '_api_host'
            
            During handling of the above exception, another exception occurred:
            
            > Traceback (most recent call last):
            > File "/usr/local/smarthome/lib/plugin.py", line 675, in run
            > self.plugin.run()
            > File "/usr/local/smarthome/plugins/landroid/__init__.py", line 119, in run
            > self.worx_init()
            > File "/usr/local/smarthome/plugins/landroid/__init__.py", line 218, in worx_init
            > self._connected = self.worx.connect(0, False)
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 83, in connect
            > self._get_mac_address()
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 139, in _get_mac_address
            > self._fetch()
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 251, in _fetch
            > self._api.get_products()
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/worxlandroidapi.py", line 91, in get_products
            > callData = self._call('/product-items')
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/worxlandroidapi.py", line 113, in _call
            > raise Exception("Timeout connecting")
            > Exception: Timeout connecting
            2022-01-24 12:51:10 NOTICE lib.smarthome -------------------- SmartHomeNG initialization finished --------------------
            2022-01-24 12:51:23 ERROR plugins.landroid.poll_device Method plugins.landroid.poll_device exception: Timeout connecting
            > Traceback (most recent call last):
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/worxlandroidapi.py", line 107, in _call
            > req = requests.get(self._api_host + path, headers=self._get_headers(), timeout=10)
            > AttributeError: 'WorxLandroidAPI' object has no attribute '_api_host'
            
            During handling of the above exception, another exception occurred:
            
            > Traceback (most recent call last):
            > File "/usr/local/smarthome/lib/scheduler.py", line 670, in _task
            > obj()
            > File "/usr/local/smarthome/plugins/landroid/__init__.py", line 345, in poll_device
            > self.worx.update()
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 260, in update
            > self._fetch()
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/__init__.py", line 251, in _fetch
            > self._api.get_products()
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/worxlandroidapi.py", line 91, in get_products
            > callData = self._call('/product-items')
            > File "/home/smarthome/.local/lib/python3.9/site-packages/pyworxcloud/worxlandroidapi.py", line 113, in _call
            > raise Exception("Timeout connecting")
            > Exception: Timeout connecting
            2022-01-24 12:51:28 ERROR plugins.landroid.weather Method plugins.landroid.weather exception: 'WorxCloud' object has no attribute 'serial'
            > Traceback (most recent call last):
            > File "/usr/local/smarthome/lib/scheduler.py", line 670, in _task
            > obj()
            > File "/usr/local/smarthome/plugins/landroid/__init__.py", line 372, in _get_weather
            > myUrl = "/product-items/{}/weather/current".format(self.worx.serial)
            > AttributeError: 'WorxCloud' object has no attribute 'serial'
            Welche pyworxcloud version verwendest Du denn?

            Gruß
            Marcus

            Kommentar


              #36
              Ich gucke nachher mal

              Kommentar


                #37
                Hallo,

                ja, sorry. Mein Hinweis war falsch. Ich nutze 1.4.11.
                Wie sind denn jetzt deine Erfahrungen mit dem Plugin der 1.4.11?

                Zur Smartvisu:
                Ja, da hat Andre eine schöne Seite in seinem Github. Daran habe ich aber noch weiter gearbeitet. Das muss ich aber mal in Ruhe auseinander pulen, weil das Dateien in unterschiedlichen Ordnern betrifft.

                Gruß,
                Hendrik

                Kommentar


                  #38
                  Hi,

                  da ich selbst keine WORX habe, kann ich nicht viel beitragen. Es sollte aus meine Sicht abgestimmt werden was vom plugin/smartVisu erwartet wird.
                  Gerne leiste ich Untestützung. Die grundsätzliche Frage ist, aus meiner Sicht, soll pyworxcloud genutzt werden oder nicht ?
                  Ich selbst bin der Meinung, dass man
                  - sich keine große Erleichterung durch die Verwendung schafft
                  - sich Restriktionen einhandelt (da mussten wir in der Vergangenheit bereits einige "Haken" schlagen)
                  - bisher die Features von pywordcloud überschaubar sind
                  - das Abrufen der Daten via MQTT nicht wirklich funktioniert (die C#-Anwendung bekommt Daten ohne zu pollen, die pyworxcloud im release 1.3.0 nicht)
                  eventuell ist das mit 1.4.11 anders ?

                  und auch ohne die Verwendung von Erweiterungen partizipieren kann.
                  ( was hat sich im letzten Jahr, ausser der asyncio-Thematik, hier getan ? - da waren wir (imho) mit dem Wetter deutlich innovativer ?

                  Man muss diese zwar im "eigenen" Code "nachbauen" aber das ist imho machbar.

                  Das ist aber nur meine Meinung - ich für meinen Teil - brauche nur ein JA/NEIN zur Verwendung von pyworxcloud. Dann werde ich den entsprechenden Weg mitgehen.

                  Ich würde vorschlagen die weitere Vorgehensweise per PN abzustimmen damit der Thread nicht komplett abdriftet.

                  Gruss Andre

                  Kommentar


                    #39
                    Servus

                    Darf ich fragen wie da der Stand aktuell ist?
                    Ich habe einen M500 Plus bestellt, der diese Woche ankommt.
                    Worauf habt ihr euch geeinigt? Ich tendiere da sehr zu dem, was AndreK im letzten Post geschrieben hat. So wie ich ihn kenne hat das Hand und Fuß.
                    So wie ich das sehe ist das doch auch wieder "nur" ne oauth2/Rest API, sowas baut Andre in gefühlt 10min zusammen, wenn ich da an Miele@home und Ondillo ICO denke
                    Scheint leider so, dass es keine API Dokumentation gibt, oder finde ich die nur nicht?

                    Gruß, Martin
                    Zuletzt geändert von Sipple; 05.04.2022, 10:41.

                    Kommentar


                      #40
                      Hallo,

                      wir nutzen weiter pyworxcloud um den reverse engineering Aufwand zu sparen.
                      Den aktuellen Stand findest du hier:
                      https://github.com/Andrek01/landroid...master/plugins
                      Gruß,
                      Hendrik

                      Kommentar


                        #41
                        Hut ab dass ihr da überhaupt was machen konntet. Da ist ja schlicht überhaupt nichts dokumentiert. Weder die API noch pyworxcloud.

                        Kommentar


                          #42
                          Servus

                          So, mein Landroid mäht.
                          Jetzt habe ich mal schnell auf meinem Testsystem das Plugin eingebaut.
                          SHNG ist 1.8.2.master
                          pyworxcloud ist die 1.4.11 (gibt auch schon 1.4.19, das ging aber irgendwie gar nicht, habe also downgegraded)
                          Im Log steht nun:

                          Code:
                          2022-05-16 15:56:17 WARNING lib.smarthome.main -------------------- SmartHomeNG restarting, initiated by admin interface --------------------
                          2022-05-16 15:56:54 WARNING lib.smarthome.main -------------------- Init SmartHomeNG 1.8.2.master (0f462a1e) --------------------
                          2022-05-16 15:56:54 WARNING lib.smarthome.main Running in Python interpreter 'v3.7.3 final', from directory /usr/local/smarthome
                          2022-05-16 15:56:54 WARNING lib.smarthome.main - on Linux-5.10.17-v7l+-armv7l-with-debian-10.12 (pid=16426)
                          2022-05-16 15:56:54 WARNING lib.smarthome.main - Nutze Feiertage für Land 'DE', Provinz 'BY', 1 benutzerdefinierte(r) Feiertag(e) definiert
                          2022-05-16 15:57:01 WARNING lib.smarthome.main -------------------- SmartHomeNG initialization finished --------------------
                          2022-05-16 15:57:02 WARNING plugins.landroid authentication was succesfull logged in
                          2022-05-16 15:57:04 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:57:04 WARNING plugins.landroid Weather returned False
                          2022-05-16 15:57:12 WARNING plugins.landroid Weather returned False
                          2022-05-16 15:57:16 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:57:16 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:57:26 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:57:36 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:57:46 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:57:56 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          2022-05-16 15:58:06 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                          Das wiederholt sich nun alle 10s.
                          Der Login ist offensichtlich korrekt.
                          Viele der items werden auch gefüllt.
                          Wo kann/soll/muss ich nachsehen, woran das liegen könnte?

                          Gruß, Martin

                          Kommentar


                            #43
                            Und ich dachte schon ich bin der einzige bei dem das Problem auftritt....

                            Habe gerade heute eine kurze Info an henfri und AndreK gesendet. Das Problem scheint seit dem 12. Mai aufzutreten. Mein erster Gedanke war daß Worx den Server geändert hat - allerdings ist das Problem ausserhalb von SHNG nicht bekannt.

                            Ich musste das Plugin erstmal stillegen, da die Warning-Logs alle 10s auftreten und damit alles vollschreiben.

                            Wie gesagt, henfri und AndreK wissen bescheid. Ich hoffe die können das fixen.

                            Gruß
                            Marcus
                            Zuletzt geändert von SMarcus; 16.05.2022, 15:27.

                            Kommentar


                              #44
                              Noch was: In der Beispiel-Page gibt es Referenzen auf Icons, die es auch in der SV3.2.2 (noch) nicht gibt. Als da wären

                              scene_robo_lawnmower_start.svg
                              scene_robo_lawnmower_stop.svg
                              scene_robo_lawnmower_dock.svg
                              scene_robo_lawnmower_moving.svg

                              Hat die wer und könnte sie gepackt hier reinstellen? Danke schon mal.

                              Gruß, Martin

                              Kommentar


                                #45
                                SMarcus Gut (bzw. schlecht), dann ist das erstmal kein "internes Problem". Ich habe es auch grad wieder abgedreht. Alle 10s ist dann doch etwas zu häufig.



                                Mit der pyworxcloud Version 1.4.19 war noch größeres Chaos. Da kam ständig:

                                Code:
                                2022-05-16 15:46:47 WARNING plugins.landroid authentication was succesfull logged in
                                2022-05-16 15:46:48 WARNING plugins.landroid Error while getting update from MQTT-Service
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.mqtt_endpoint' to 'iot.eu-west-1.worxlandroid.com'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.rain_delay_time_remaining' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.rain_sensor_triggered' to 'False'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_sunday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_sunday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_sunday_2_boundary' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_monday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_monday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_monday_2_boundary' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_tuesday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_tuesday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_tuesday_2_boundary' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_wednesday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_wednesday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_wednesday_2_boundary' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_thursday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_thursday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_thursday_2_boundary' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_friday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_friday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_friday_2_boundary' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_saturday_2_start' to '00:00'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_saturday_2_duration' to '0'
                                2022-05-16 15:46:48 WARNING plugins.landroid Could not set item 'worx.schedule_day_saturday_2_boundary' to '0'
                                2022-05-16 15:46:48 ERROR pyworxcloud.worxlandroidapi Error: API endpoint doesn't exist
                                2022-05-16 15:46:48 WARNING plugins.landroid Problem while parsing weather
                                2022-05-16 15:46:55 ERROR pyworxcloud.worxlandroidapi Error: API endpoint doesn't exist
                                2022-05-16 15:46:55 WARNING plugins.landroid Problem while parsing weather

                                Kommentar

                                Lädt...
                                X